# Class PedPedigree

java.lang.Object
org.snpeff.ped.PedPedigree

All Implemented Interfaces:
  `Comparable<PedPedigree>, Iterable<TfamEntry>`

Direct Known Subclasses:
  `PedFamily`

public class PedPedigree extends Object implements Iterable<TfamEntry>, Comparable<PedPedigree>
A pedigree of PedEntries

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`PedPedigree()`
`PedPedigree(String tfamFileName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(TfamEntry tfamEntry)`
Add an entry to this pedigree
`int`
`compareTo(PedPedigree ped)`
`Collection<PedPedigree>`
`families()`
Split data into families
`TfamEntry`
`get(String id)`
`String`
`getFamilyId()`
`PlinkMap`
`getPlinkMap()`
`List<String>`
`getSampleIds()`
Get a list of sample IDs
`Iterator<TfamEntry>`
`iterator()`
`Set<String>`
`keySet()`
`void`
`load(String pedFileName)`
Load a pedigree from a PED and MAP file pair
`void`
`loadTfam(String tfamFileName)`
Load a TFAM file
`void`
`saveTfam(String fileName)`
Save pedigree as a TFAM file
`void`
`setVerbose(boolean verbose)`
`int`
`size()`
`String`
`toString()`
`Collection<TfamEntry>`
`values()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### PedPedigree

public PedPedigree()

### PedPedigree

public PedPedigree(String tfamFileName)

## Method Details

### add

public void add(TfamEntry tfamEntry)
Add an entry to this pedigree

Parameters:
  `tfamEntry` -

### compareTo

public int compareTo(PedPedigree ped)

Specified by:
  `compareTo` in interface `Comparable<PedPedigree>`

### families

public Collection<PedPedigree> families()
Split data into families

Returns:

### get

public TfamEntry get(String id)

### getFamilyId

public String getFamilyId()

### getPlinkMap

public PlinkMap getPlinkMap()

### getSampleIds

public List<String> getSampleIds()
Get a list of sample IDs

Returns:

### iterator

public Iterator<TfamEntry> iterator()

Specified by:
  `iterator` in interface `Iterable<TfamEntry>`

### keySet

public Set<String> keySet()

### load

public void load(String pedFileName)
Load a pedigree from a PED and MAP file pair

Parameters:
  `pedFileName` -

### loadTfam

public void loadTfam(String tfamFileName)
Load a TFAM file

Parameters:
  `tfamFileName` -

### saveTfam

public void saveTfam(String fileName)
Save pedigree as a TFAM file

Parameters:
  `fileName` -

### setVerbose

public void setVerbose(boolean verbose)

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### values

public Collection<TfamEntry> values()